# Generated by Django 4.1.4 on 2022-12-13 21:03

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ("game", "0015_alter_tile_image"),
    ]

    operations = [
        migrations.CreateModel(
            name="MapStart",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "region",
                    models.OneToOneField(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="map_start",
                        to="game.map",
                    ),
                ),
                (
                    "start_node",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="start",
                        to="game.mapnode",
                    ),
                ),
            ],
        ),
    ]
